{
  "name": "ClickAndJoinApp",
  "version": "0.0.1",
  "private": true,
  "scripts": {
    "android": "react-native run-android",
    "ios": "react-native run-ios",
    "start": "react-native start",
    "web": "cd web && ../node_modules/.bin/webpack-dev-server",
    "web-build": "cd web && ../node_modules/.bin/webpack",
    "test": "jest",
    "lint": "eslint ."
  },
  "dependencies": {
    "@react-navigation/bottom-tabs": "^6.5.2",
    "@react-navigation/native": "^6.1.1",
    "@react-navigation/native-stack": "^6.9.7",
    "@react-spring/native": "^9.6.1",
    "@react-spring/web": "^9.6.1",
    "@reduxjs/toolkit": "^1.9.1",
    "babel-preset-es2015": "^6.24.1",
    "babel-preset-esnext": "^1.1.3",
    "babel-preset-react": "^6.24.1",
    "native-base": "^3.4.23",
    "react": "^18.1.0",
    "react-dom": "18.1.0",
    "react-native": "0.70.6",
    "react-native-encrypted-storage": "^4.0.3",
    "react-native-gesture-handler": "^2.8.0",
    "react-native-reanimated": "^2.13.0",
    "react-native-safe-area-context": "^4.4.1",
    "react-native-screens": "^3.18.2",
    "react-native-web": "^0.18.10",
    "react-redux": "^8.0.5"
  },
  "devDependencies": {
    "@babel/core": "^7.12.9",
    "@babel/preset-react": "^7.18.6",
    "@babel/runtime": "^7.20.6",
    "@react-native-community/eslint-config": "^2.0.0",
    "@types/node": "^18.11.10",
    "@types/react": "^18.0.26",
    "@types/react-dom": "^18.0.9",
    "@types/webpack": "^5.28.0",
    "babel-jest": "^26.6.3",
    "babel-loader": "^9.1.0",
    "babel-plugin-module-resolver": "^4.1.0",
    "babel-plugin-react-native-web": "^0.18.10",
    "babel-preset-react-native": "^4.0.1",
    "eslint": "^7.32.0",
    "jest": "^26.6.3",
    "metro-react-native-babel-preset": "0.72.3",
    "react-test-renderer": "18.1.0",
    "ts-node": "^10.9.1",
    "typescript": "^4.9.3",
    "url-loader": "^4.1.1",
    "webpack": "^5.75.0",
    "webpack-cli": "^5.0.0",
    "webpack-dev-server": "^4.11.1"
  },
  "jest": {
    "preset": "react-native",
    "transform": {
      "^.+\\.(js)$": "<rootDir>/node_modules/babel-jest",
      "\\.(ts|tsx)$": "ts-jest"
    },
    "globals": {
      "ts-jest": {
        "tsConfig": "tsconfig.jest.json",
        "diagnostics": {
          "pathRegex": "\\.(spec|test)\\.ts$",
          "warnOnly": true,
          "ignoreCodes": [
            2571,
            6031,
            18003,
            "TS2322"
          ]
        }
      }
    },
    "testRegex": "(/__tests__/.*|(\\.|/)(test|spec))\\.(jsx?|tsx?)$",
    "moduleFileExtensions": [
      "ts",
      "tsx",
      "js",
      "jsx",
      "node"
    ],
    "modulePaths": [
      "<rootDir>"
    ],
    "setupFiles": [
      "./tests/setup.js"
    ]
  },
  "browser": [
    ">0.2%",
    "not dead",
    "not ie <= 11",
    "not op_mini all"
  ]
}
